# 🗺 Vue Mapbox GL

![NPM Version](https://img.shields.io/npm/v/@studiometa/vue-mapbox-gl.svg?style=flat-square)
![Dependency Status](https://img.shields.io/david/studiometa/vue-mapbox-gl.svg?label=deps&style=flat-square)
![devDependency Status](https://img.shields.io/david/dev/studiometa/vue-mapbox-gl.svg?label=devDeps&style=flat-square)

> A small components library to use Mapbox GL in Vue.

## Installation & usage

Have a look at the [small guide](/guide/) for information on how to setup a simple map.

## Components

Check the detailed documentation on each components for a more advanced usage:

|                        Component                        |                                   Description                                    |
|---------------------------------------------------------|----------------------------------------------------------------------------------|
| [MapboxMap](./components/MapboxMap.md)                             | Display a map with the given style.                                              |
| [MapboxMarker](./components/MapboxMarker.md)                       | Display a simple or custom marker.                                               |
| [MapboxCluster](./components/MapboxCluster.md)                     | Display a GeoJSON as clusters.                                                   |
| [MapboxGeocoder](./components/MapboxGeocoder.md)                   | Display a geocoder search input with the [@mapbox/mapbox-gl-geocoder](https://github.com/mapbox/mapbox-gl-geocoder) plugin. |
| [MapboxImage](./components/MapboxImage.md)                         | Load an image to be used on the map.                                             |
| [MapboxLayer](./components/MapboxLayer.md)                         | Display a layer on the map.                                                      |
| [MapboxNavigationControl](./components/MapboxNavigationControl.md) | Display the map's navigation controls                                            |
| [MapboxPopup](./components/MapboxPopup.md)                         | Display a popup on the map                                                       |
| [MapboxSource](./components/MapboxSource.md)                       | Load a source of data to be used on the map                                      |


## Note

This project is a rewrite of a fork of [openearth/vue2mapbox-gl](https://github.com/openearth/vue2mapbox-gl) and is published under the [GNU GPL 3](https://www.gnu.org/licenses/gpl-3.0.en.html) license.
